Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	TunePimp is the core of the MusicBrainz Tagger Application	 
Name:		libtunepimp
Version:	0.5.3
Release:	3
License:	GPL
URL:		http://musicbrainz.org/products/tunepimp/download.html
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
Patch0:		libtunepimp-gcc43.patch
Patch1:		libtunepimp-0.5.3-libmp4v2.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

BuildRequires: cyrus-sasl-devel

#Automatically resolved build dependencies
BuildRequires: c-ares-devel
BuildRequires: curl-devel
BuildRequires: cyrus-sasl-lib
BuildRequires: expat-devel
BuildRequires: fftw-devel
BuildRequires: flac-devel
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libidn-devel
BuildRequires: libmad-devel
BuildRequires: libmp4v2-devel
BuildRequires: libmpcdec-devel
BuildRequires: libmusicbrainz-devel
BuildRequires: libofa-devel
BuildRequires: libogg-devel
BuildRequires: librtmp-devel
BuildRequires: libssh2-devel
BuildRequires: libstdc++-devel
BuildRequires: libvorbis-devel
BuildRequires: openldap-devel
BuildRequires: openssl-devel
BuildRequires: taglib-devel
BuildRequires: zlib-devel

%description
TunePimp is the core of the MusicBrainz Tagger Application

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}
%patch0 -p1
%patch1 -p1

%build
./configure --prefix=%_prefix --mandir=%_mandir --disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_bindir}/puid
%{_libdir}/libtunepimp.so.*
%{_libdir}/tunepimp/plugins

%files devel
%defattr(-,root,root)
%{_includedir}/tunepimp-0.5
%{_libdir}/libtunepimp.a
%{_libdir}/libtunepimp.la
%{_libdir}/libtunepimp.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.5.3-3
- rebuilt against libmp4v2 1.9.1-1
* Wed Oct 31 2007 Christian Metzen <metzench@ccux-linux.de> 0.5.3-2
- rebuild against curl 7.17.1
* Sat Jul 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.5.3-1
- Version update
* Mon Dec 26 2005 Christian Metzen <metzench@ccux-linux.de> 0.4.0-2
- Redefined files list, corrected summary
* Sun Dec 25 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.4.0-1
- Initial Release
